package org.apache.bcel.verifier.structurals;

import org.apache.bcel.generic.InstructionHandle;

public interface Subroutine
{
    boolean contains(final InstructionHandle p0);
    
    int[] getAccessedLocalsIndices();
    
    InstructionHandle[] getEnteringJsrInstructions();
    
    InstructionHandle[] getInstructions();
    
    InstructionHandle getLeavingRET();
    
    int[] getRecursivelyAccessedLocalsIndices();
    
    Subroutine[] subSubs();
}
